summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/gst-python/gst-python-1.16.2.ebuild2
-rw-r--r--dev-python/jupyter_core/jupyter_core-4.6.3-r1.ebuild37
-rw-r--r--dev-python/pygobject/pygobject-3.36.1.ebuild2
-rw-r--r--dev-python/requests-kerberos/requests-kerberos-0.12.0-r1.ebuild2
4 files changed, 40 insertions, 3 deletions
diff --git a/dev-python/gst-python/gst-python-1.16.2.ebuild b/dev-python/gst-python/gst-python-1.16.2.ebuild
index 7b496ec8e5ca..ab3cb841ce5c 100644
--- a/dev-python/gst-python/gst-python-1.16.2.ebuild
+++ b/dev-python/gst-python/gst-python-1.16.2.ebuild
@@ -13,7 +13,7 @@ SRC_URI="https://gstreamer.freedesktop.org/src/${PN}/${P}.tar.xz"
LICENSE="LGPL-2+"
SLOT="1.0"
-KEYWORDS="~alpha amd64 arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc x86 ~amd64-linux ~x86-linux ~x86-solaris"
+KEYWORDS="~alpha amd64 arm ~arm64 ~hppa ~ia64 ppc ppc64 ~sparc x86 ~amd64-linux ~x86-linux ~x86-solaris"
REQUIRED_USE="${PYTHON_REQUIRED_USE}"
RDEPEND="${PYTHON_DEPS}
diff --git a/dev-python/jupyter_core/jupyter_core-4.6.3-r1.ebuild b/dev-python/jupyter_core/jupyter_core-4.6.3-r1.ebuild
new file mode 100644
index 000000000000..eb583979d3ae
--- /dev/null
+++ b/dev-python/jupyter_core/jupyter_core-4.6.3-r1.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{5,6,7,8,9} )
+DISTUTILS_USE_SETUPTOOLS=rdepend
+
+inherit distutils-r1
+
+DESCRIPTION="Core common functionality of Jupyter projects"
+HOMEPAGE="https://jupyter.org"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="amd64 arm64 x86"
+
+RDEPEND="dev-python/traitlets[${PYTHON_USEDEP}]"
+BDEPEND="
+ test? (
+ >=dev-python/ipython-4.0.1[${PYTHON_USEDEP}]
+ dev-python/nose[${PYTHON_USEDEP}]
+ )"
+
+distutils_enable_sphinx docs \
+ dev-python/sphinxcontrib-github-alt
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # rely on imports working without PYTHONPATH
+ sed -e 's:test_not_on_path:_&:' \
+ -e 's:test_path_priority:_&:' \
+ -i jupyter_core/tests/test_command.py || die
+
+ distutils-r1_python_prepare_all
+}
diff --git a/dev-python/pygobject/pygobject-3.36.1.ebuild b/dev-python/pygobject/pygobject-3.36.1.ebuild
index 8c9e6cc00a06..2cf489380c08 100644
--- a/dev-python/pygobject/pygobject-3.36.1.ebuild
+++ b/dev-python/pygobject/pygobject-3.36.1.ebuild
@@ -12,7 +12,7 @@ HOMEPAGE="https://pygobject.readthedocs.io/"
LICENSE="LGPL-2.1+"
SLOT="3"
-KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~mips ppc ~ppc64 ~s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
IUSE="+cairo examples test"
REQUIRED_USE="${PYTHON_REQUIRED_USE}"
diff --git a/dev-python/requests-kerberos/requests-kerberos-0.12.0-r1.ebuild b/dev-python/requests-kerberos/requests-kerberos-0.12.0-r1.ebuild
index 5f1c83d9205f..b566fb4f7cdf 100644
--- a/dev-python/requests-kerberos/requests-kerberos-0.12.0-r1.ebuild
+++ b/dev-python/requests-kerberos/requests-kerberos-0.12.0-r1.ebuild
@@ -13,7 +13,7 @@ SRC_URI="https://github.com/requests/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="ISC"
SLOT="0"
-KEYWORDS="~amd64 ~x86"
+KEYWORDS="~amd64 x86"
IUSE="doc test"
RESTRICT="!test? ( test )"